#include <iostream>
using namespace std;
int main(){
    char ch='0',cilid,niz[1001],poluchenniz[4000],indekszapolucheniqniz=0;
    int i=0;
    while(ch!='\n'){
        ch=cin.get();
        niz[i]=ch;
        i++;
    }
    cin>>cilid;
    //cout<<cilid<<endl;
    //cout<<i<<endl;
    if(cilid=='c'){
        for(int j=0;j<i-1;j++){
            if(niz[j]=='o' || niz[j]=='O' || niz[j]=='a' || niz[j]=='A' || niz[j]=='e' || niz[j]=='E' || niz[j]=='u' || niz[j]=='U'
                || niz[j]=='i' || niz[j]=='I' || niz[j]=='y' || niz[j]=='Y'){
                    poluchenniz[indekszapolucheniqniz]=niz[j];
                    poluchenniz[indekszapolucheniqniz+1]='f';
                    poluchenniz[indekszapolucheniqniz+2]=niz[j];
                    indekszapolucheniqniz+=2;
                }else{
                    poluchenniz[indekszapolucheniqniz]=niz[j];
                }
                indekszapolucheniqniz++;

        }
        poluchenniz[indekszapolucheniqniz]='\0';
    }else{
        for(int j=0;j<i-1;j++){
            if((niz[j]=='o' || niz[j]=='O' || niz[j]=='a' || niz[j]=='A' || niz[j]=='e' || niz[j]=='E' || niz[j]=='u' || niz[j]=='U'||
                niz[j]=='i' || niz[j]=='I' || niz[j]=='y' || niz[j]=='Y') && niz[j+1]=='f' && niz[j+2]==niz[j]){
                    poluchenniz[indekszapolucheniqniz]=niz[j];
                    j+=2;
                }else{
                    poluchenniz[indekszapolucheniqniz]=niz[j];
                }
                indekszapolucheniqniz++;

        }
        poluchenniz[indekszapolucheniqniz]='\0';
    }
    cout<<poluchenniz<<endl;
    return 0;
}
